> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.vlenseg.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vlenseg.com/_mcp/server.

# forAdmin

GET https://api.vlenseg.com/api/BusinessRequest/GetBusinessRequestByIdForAdmin

Reference: https://docs.vlenseg.com/api-reference/vlens-api/business-requests/get-business-request-get-business-request-by-id-for-admin

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: example-openapi
  version: 1.0.0
paths:
  /api/BusinessRequest/GetBusinessRequestByIdForAdmin:
    get:
      operationId: get-business-request-get-business-request-by-id-for-admin
      summary: forAdmin
      tags:
        - businessRequests
      parameters:
        - name: Id
          in: query
          description: ''
          required: true
          schema:
            type: string
        - name: ApiKey
          in: header
          description: Static API key issued to your tenant. Required on every request.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Business
                  Requests_getBusinessRequestGetBusinessRequestByIdForAdmin_Response_200
servers:
  - url: https://api.vlenseg.com
    description: Production
components:
  schemas:
    Business Requests_getBusinessRequestGetBusinessRequestByIdForAdmin_Response_200:
      type: object
      properties: {}
      title: >-
        Business
        Requests_getBusinessRequestGetBusinessRequestByIdForAdmin_Response_200
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: ApiKey
      description: Static API key issued to your tenant. Required on every request.
    UserToken:
      type: http
      scheme: bearer
      description: >-
        End-user JWT from registration or login. Required for verification,
        signing, and user-scoped operations.

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.vlenseg.com/api/BusinessRequest/GetBusinessRequestByIdForAdmin"

querystring = {"Id":"a3f1c9d2-7b4e-4f8a-9d3e-2b5f6c7d8e9f"}

payload = {}
headers = {
    "ApiKey": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.vlenseg.com/api/BusinessRequest/GetBusinessRequestByIdForAdmin?Id=a3f1c9d2-7b4e-4f8a-9d3e-2b5f6c7d8e9f';
const options = {
  method: 'GET',
  headers: {ApiKey: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vlenseg.com/api/BusinessRequest/GetBusinessRequestByIdForAdmin?Id=a3f1c9d2-7b4e-4f8a-9d3e-2b5f6c7d8e9f"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("ApiKey", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.vlenseg.com/api/BusinessRequest/GetBusinessRequestByIdForAdmin?Id=a3f1c9d2-7b4e-4f8a-9d3e-2b5f6c7d8e9f")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["ApiKey"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.vlenseg.com/api/BusinessRequest/GetBusinessRequestByIdForAdmin?Id=a3f1c9d2-7b4e-4f8a-9d3e-2b5f6c7d8e9f")
  .header("ApiKey", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.vlenseg.com/api/BusinessRequest/GetBusinessRequestByIdForAdmin?Id=a3f1c9d2-7b4e-4f8a-9d3e-2b5f6c7d8e9f', [
  'body' => '{}',
  'headers' => [
    'ApiKey' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.vlenseg.com/api/BusinessRequest/GetBusinessRequestByIdForAdmin?Id=a3f1c9d2-7b4e-4f8a-9d3e-2b5f6c7d8e9f");
var request = new RestRequest(Method.GET);
request.AddHeader("ApiKey", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "ApiKey": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vlenseg.com/api/BusinessRequest/GetBusinessRequestByIdForAdmin?Id=a3f1c9d2-7b4e-4f8a-9d3e-2b5f6c7d8e9f")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```